curl --request GET \
--url https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"interfaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/web-eth0",
"subnet": {
"id": "550e8400-e29b-41d4-a716-446655440006",
"crn": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/private",
"name": "private"
},
"name": "web-eth0",
"mac": "aa:bb:cc:dd:ee:ff",
"attached_to": {
"id": "550e8400-e29b-41d4-a716-446655440010",
"crn": "crn:compute:sa-saopaulo-1:my-account:instance/web-1",
"name": "web-1"
},
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"health": "unknown",
"reason": "unprobed",
"description": "Primary NIC for the web server",
"address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Listar las interfaces de una IP flotante
Lista interfaces conectadas usando el contrato canónico de interfaz, con health y reason para este vínculo. Los resultados se paginan por ID de interfaz. El permiso de lectura de la IP flotante autoriza esta colección relacionada.
curl --request GET \
--url https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://network.{region}.basaltic.sh/v1/floating-ips/{floating_ip_id}/interfaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"interfaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crn": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/public/interface/web-eth0",
"subnet": {
"id": "550e8400-e29b-41d4-a716-446655440006",
"crn": "crn:network:sa-saopaulo-1:my-account:vpc/prod/subnet/private",
"name": "private"
},
"name": "web-eth0",
"mac": "aa:bb:cc:dd:ee:ff",
"attached_to": {
"id": "550e8400-e29b-41d4-a716-446655440010",
"crn": "crn:compute:sa-saopaulo-1:my-account:instance/web-1",
"name": "web-1"
},
"tags": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"health": "unknown",
"reason": "unprobed",
"description": "Primary NIC for the web server",
"address_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}network:GetFloatingIP. Consulte permisos de redes para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
ID IP flotante
Parámetros de consulta
1 <= x <= 500CRN exacto de la interfaz.
Los nombres de interfaz requieren un ámbito de subred; esta colección rechaza filtros por nombre simple. Usa crn.

